{% extends 'base.html.twig' %}

{% block title %}Field index{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-md-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Nouveau secteur d'activités</h4>
                    <hr>
                    {{ form_start(form) }}
                    <div class="form-group">
                        {{ form_label(form.name, 'Nom') }}
                        {{ form_widget(form.name, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.name) }}
                    </div>
                    <div class="form-group">
                        {{ form_label(form.image, 'Image (600x420)') }}
                        {{ form_widget(form.image, {attr: {class: 'form-control'}}) }}
                        {{ form_errors(form.image) }}
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-primary">Enregistrer</button>
                    </div>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
        <div class="col-md-8">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Liste des secteurs d'activités</h4>
                    <hr>
                    <table class="table">
                        <thead>
                        <tr>
                            <th>Nom</th>
                            <th>Nombre des fournisseurs</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for field in fields %}
                            <tr>
                                <td>{{ field.name }}</td>
                                <td>{{ field.providersCount }}</td>
                                <td>
                                    <a class="btn btn-info btn-sm" href="{{ path('dashboard_field_edit', {'id': field.id}) }}"><i class="fa fa-edit"></i></a>
                                    <a class="btn btn-danger btn-sm" href="{{ path('dashboard_field_confirm_delete', {id: field.id}) }}"><i class="fa fa-trash"></i></a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td class="text-center" colspan="5">Aucun secteur trouvé</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                    <div class="navigation mt-4">
                        {{ knp_pagination_render(fields) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}